Simulation Scenario
Create a scenario
Creates a new simulation scenario for the authenticated project.
POST
/
v1
/
simulation
/
scenario
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationScenario = await client.simulationScenario.create({
name: 'x',
steps: [{ content: 'content', type: 'AGENT_TURN' }],
});
console.log(simulationScenario.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_scenario = client.simulation_scenario.create(
name="x",
steps=[{
"content": "content",
"type": "AGENT_TURN",
}],
)
print(simulation_scenario.data)curl --request POST \
--url https://api.roark.ai/v1/simulation/scenario \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"steps": [
{
"content": "<string>",
"linkedScenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dtmfDigits": "<string>",
"silenceDurationSeconds": 123
}
]
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"steps": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"linkedScenarioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dtmfDigits": "<string>",
"silenceDurationSeconds": 123
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The created scenario
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationScenario = await client.simulationScenario.create({
name: 'x',
steps: [{ content: 'content', type: 'AGENT_TURN' }],
});
console.log(simulationScenario.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_scenario = client.simulation_scenario.create(
name="x",
steps=[{
"content": "content",
"type": "AGENT_TURN",
}],
)
print(simulation_scenario.data)